using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Models;
using LoveDAL;

namespace LoveBLL
{
    public static class NewsManager
    {
        public static Boolean AddNews(News news)
        {
           return NewsService.AddNews(news);
        }
        public static void DelNews(News news)
        {
            NewsService.DeleteNews(news);
        }
        public static void UpdateNews(News news)
        {
            NewsService.Update(news);
        }
        public static IList<News> GetAllNews()
        {
            return NewsService.GetNewsAll();
        }
        public static string GetPartString(string news_contents, int num)
        {
            return NewsService.GetPartString(news_contents, num);
        }
        public static IList<News> GetNewsByNewsid(int id)
        {
            return NewsService.GetNewsById(id);
        }
        public static int GetNewsNum()
        {
            return NewsService.GetNewNum();
        }
        public static IList<News> GetPartNews()
        {
            return NewsService.GetNewsPartAll();
        }
        public static IList<News> SouNews(string str)
        {
            return NewsService.SouNew(str);
        }
        public static int GetSouNewsNum(string str)
        {
            return NewsService.GetSouNewNum(str);
        }
        public static IList<News> GetNewsByCoteId(int id)
        {
            return NewsService.GetNewsByCoteId(id);
        }
    }
}
